flags.comics_1_51 = true

ShowMenu(false)

function frame11()
  SetAlfa(-501,1,0,2)
  -- ScaleObject(11,1,1.2,6)--H 9I H 9I
  -- ScaleObject(12,1,1.2,6)--fon

  StartTimer(timerID,3,"frame12")
end

function frame12()
  speciale_action(2,11,true,3)
  speciale_action(2,12,true,3.2)
  StartTimer(timerID,3.2,"frame13")
end

function frame13()
  ScaleObject(10,1,1.4,6,540+269,590+46)
  ScaleObject(12,1,1.4,6,540,590)
  StartTimer(timerID,4,"frame20")
end

function frame20()
  SetAlfa(-501,0,1,2)
  StartTimer(timerID,2.1,"frame14")
end;

function frame14()
  --out("frame14")
  speciale_action(2,10)
  speciale_action(2,12)
  speciale_action(2,13)
  speciale_action(2,14)
  StartTimer(timerID,0.3,"frame15")
end

function frame15()
--out("frame15")
  SetAlfa(-501,1,0,2)

  StartTimer(timerID,1,"frame19")
end

function frame19()
  speciale_action(2,14,true,1)
  speciale_action(2,15,true,1.3)
  StartTimer(timerID,1.5,"frame16")
end;

function frame16()
--out("frame16")
  speciale_action(2,15,true,1)
  speciale_action(2,16,true,1.3)
StartTimer(timerID,1.53,"frame17")
end

function frame17()
--out("frame17")
  SetAlfa(-501,0,1,2)
  ScaleObject(16,1,1.2,3,120,164)--H 9I H 9I
  ScaleObject(13,1,1.2,3,328+120,164+267)
  StartTimer(timerID,4,"frame18")
end

function frame18()
--out("frame18")
  speciale_action(2,16)
  speciale_action(2,13)
  StartTimer(timerID,0.3,"frame1")
end

function frame1()
  SetAlfa(-501,1,0,2)
  ScaleObject(1,1,1.4,6,70,70)--H 9I H 9I
  ScaleObject(2,1,1.2,6,512,384)--fon
  StartTimer(timerID,3.5,"frame2")
end

function frame2()
  SetAlfa(-501,0,1,2,"frame3")
end

function frame3()
  set_visible_object(1,false)
  set_visible_object(2,false)
  SetAlfa(-501,1,0,2,"frame4")
end

function frame4()
  SetAlfa(3,1,0,1)
  SetAlfa(4,0,1,1,"frame5")
end

function frame5()
  SetAlfa(4,1,0,1)
  SetAlfa(5,0,1,1,"frame6")
end

function frame6()
  SetAlfa(5,1,0,1)
  SetAlfa(6,0,1,1,"frame7")
end

function frame7()
  StopEmiter("top_left",true)
  StopEmiter("top_right",true)
  StopEmiter("bottom_right",true)
  StopEmiter("bottom_left",true)
  SetAlfa(6,1,0,1)
  SetAlfa(7,0,1,1,"frame8")
end

function frame8()
  -- SetAlfa(7,1,0,2)
  SetAlfa(9090,0,1,2,"frame9")
end

function frame9()
  alfa = true
  jump("GirlsRoom")
end

frame11()

function gameinput(sender,x,y)
  --out("gameinput("..tostring(sender)..","..tostring(x)..","..tostring(y)..")\n")
  -- if sender == 1 then
    -- if x >=1 and x <= 4 then
      -- AlternateTimer(("frame"..tostring(2*x)),1)
      -- return
    -- end
  -- end
  if threeStateButton(sender,x,y,skip2,skip3) then
    -- jump("DorogaKMuzeyu")
    frame8()
  end
end